//+------------------------------------------------------------------+
//|                                           Write Data To File.mq4 |
//|                              Copyright  2007, Derik Breytenbach |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Derik Breytenbach"
#property link      ""

#property indicator_chart_window

extern int Hour_Start=13;
extern int Hour_Stop=16;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  int handle;
  handle=FileOpen("mt4 data.csv", FILE_CSV|FILE_WRITE, ',');
  if(handle>0)
    {
    for(int i=0; i<Bars-24; i++)
      {
      if(TimeHour(iTime(NULL,0,i))==Hour_Stop)
         {
//         FileWrite(handle,High[i]);
         FileWrite(handle, High[iHighest(NULL,0,MODE_HIGH,Hour_Stop-Hour_Start,i+1)]-Low[iLowest(NULL,0,MODE_LOW,Hour_Stop-Hour_Start,i+1)]);
         } 
      }
    FileClose(handle);
    }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+